<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
    {
    "unires":[
       <#if sys.getAllPSSysUniReses()??>
       <#list sys.getAllPSSysUniReses() as unires>
        <#if unires_index gt 0>,</#if>
       {
            "unirescode":"${unires.getResCode()}",
            "uniresname":"${unires.getName()}"
       }
       </#list>
       </#if>
    ],
    <#if sys.getAllPSApps()??>
    "predefineddatarange":[{"id":"ALL","name":"全部数据"},{"id":"CURORG","name":"当前单位"},{"id":"PORG","name":"上级单位"},{"id":"SORG","name":"下级单位"},{"id":"CURORGDEPT","name":"当前部门"},{"id":"PORGDEPT","name":"上级部门"},{"id":"SORGDEPT","name":"下级部门"}],
    <#assign ct=0>
    "entities":[
        <#list sys.getAllPSApps() as app>
            <#if app.getAllPSAppDataEntities?? && app.getAllPSAppDataEntities()??>
                <#list app.getAllPSAppDataEntities() as appde>
                    <#assign de=appde.getPSDE()>
                    <#if de.getPSDEFieldByPDT('ORGID',true)?? && de.getPSDEFieldByPDT('ORGSECTORID',true)?? && de.getPSDEFieldByPDT('CREATEMAN',true)??>
                        <#if !P.exists(de.getCodeName(),"")>
                        <#if (ct>0)>
    ,</#if><#assign ct=ct+1>
    <#assign dataSetResult=getDataSet()>
    <#assign deActionResult=getDEAction()>
    {
    "dename":"${de.codeName}",
    "delogicname":"${de.logicName}",
    "sysmoudle":{"id":"${de.getPSSystemModule().codeName?upper_case}","name":"${de.getPSSystemModule().name}"},
    "dedataset":${dataSetResult},
    "deaction":${deActionResult}
     }
                    </#if>
                    </#if>
                </#list>
            </#if>
        </#list>
    ],
    </#if>
    <#if sys.getAllPSApps()??>
    ,"appmenus":[
        <#list sys.getAllPSApps() as app>
            <#if app_index gt 0 >,</#if>
            {
               <#assign appmenu=getAppMenu(app)>
               "appid":"${app.id}",
               "appname":"${app.name}",
               "appmenu":${appmenu}
            }
        </#list>
            ]
    </#if>
    }
<#comment>获取实体数据集</#comment>
<#function getDataSet>
    <#assign result="[" >
    <#if de.getAllPSDEDataSets()??>
        <#list de.getAllPSDEDataSets() as dataSet>
            <#if dataSet_index gt 0><#assign result=result+","></#if>
            <#assign dataSetLogicName="">
            <#if dataSet.getLogicName()?? && dataSet.getLogicName()!=''><#assign dataSetLogicName=dataSet.getLogicName()><#else><#assign dataSetLogicName=dataSet.codeName></#if>
            <#assign result=result+"{\"id\":\""+dataSet.codeName+"\" , \"name\":\""+dataSetLogicName+"\"}">
        </#list>
    </#if>
    <#assign result=result+"]" >
    <#return result>
</#function>

<#comment>获取实体行为</#comment>
<#function getDEAction>
    <#assign result="[" >
    <#if de.getAllPSDEActions()??>
        <#list de.getAllPSDEActions() as deAction>
            <#if deAction_index gt 0><#assign result=result+","></#if>
            <#assign deActionLogicName="">
            <#if deAction.getLogicName()?? && deAction.getLogicName()!=''><#assign deActionLogicName=deAction.getLogicName()><#else><#assign deActionLogicName=deAction.codeName></#if>
            <#assign result=result+"{\"id\":\""+deAction.codeName+"\" , \"name\":\""+deActionLogicName+"\" , \"type\":\""+deAction.getActionType()+"\" }">
        </#list>
    </#if>
    <#assign result=result+"]" >
    <#return result>
</#function>


<#comment>获取统一资源</#comment>
<#function getUniRes>
    <#assign result="[" >
    <#if de.getAllPSDEActions()??>
        <#list de.getAllPSDEActions() as deAction>
            <#if deAction_index gt 0><#assign result=result+","></#if>
            <#assign deActionLogicName="">
            <#if deAction.getLogicName()?? && deAction.getLogicName()!=''><#assign deActionLogicName=deAction.getLogicName()><#else><#assign deActionLogicName=deAction.codeName></#if>
            <#assign result=result+"{\"id\":\""+deAction.codeName+"\" , \"name\":\""+deActionLogicName+"\" , \"type\":\""+deAction.getActionType()+"\" }">
        </#list>
    </#if>
    <#assign result=result+"]" >
    <#return result>
</#function>

<#comment>获取应用菜单</#comment>
<#function getAppMenu app>
    <#assign appMenuContent="[">
    <#if app.getAllPSAppMenuModels()??>
        <#list app.getAllPSAppMenuModels() as appMenu>
            <#if appMenu_index gt 0>,</#if>
            <#assign menuItems=getAppMenuItems(appMenu)>
            <#assign appMenuContent=appMenuContent+"{ \"menu\":"+appMenu.name+" \"menuitem\":"+menuItems+" }">
        </#list>
    </#if>
    <#assign appMenuContent=appMenuContent+"]">
    <#return appMenuContent>
</#function>

<#comment>获取菜单项集合</#comment>
<#function getAppMenuItems menuGroup>
    <#assign result="[" >
    <#if menuGroup.getPSAppMenuItems()??>
        <#list menuGroup.getPSAppMenuItems() as menuItem>
            <#if menuItem_index gt 0>
        ,
            </#if>
            <#assign singMenuItem=getAppMenuItem(menuItem)>
            <#assign result=result+singMenuItem>
        </#list>
    </#if>
    <#assign result=result+"]" >
    <#return result>
</#function>

<#comment>获取菜单项</#comment>
<#function getAppMenuItem menuItem>
    <#if menuItem.getPSAppMenuItems()??>
        <#assign items=getAppMenuItems(menuItem)>
        <#assign result="{\"id\":\""+menuItem.id+"\" , \"name\":\""+menuItem.name+"\" , \"items\":"+items+"}">
    <#else>
        <#assign result="{\"id\":\""+menuItem.id+"\" , \"name\":\""+menuItem.name+"\" }">
    </#if>
    <#return result>
</#function>



